<style>
	h1 small {
	font-size: 60%;
	}
	textarea.ta-bind {
	width: 100%;
	}
	.btn-info-theme{width: 110px;}
	.extraIncludes{
	border: 1px solid #999;
    border-radius: 10px;
    padding: 3px
	}
	.green{color: green;}
	.visibHidden{visibility: hidden;}
	.longTour{margin-top: 10px; border-bottom: 1px solid #ccc;}
	.image_small{padding: 4px; border: 1px solid #ccc;}
	.package_icon > li {display: block; position: relative;}
	.package_icon > li > a {display: block;padding: 5px 5px;position: relative;}
	.package_icon {list-style: outside none none;margin-bottom: 0;}
	.padding1{padding: 1px;}
	.includeBack{background: #e5e5e5;}
	.mb5{margin-bottom: 5px;}
	.packday { position:relative; bottom:3px; }
</style>

<div ng-show="selectedContent.value=='banners'">	
	<div ng-if="themes!=''" class="col-md-2 mb20"><button ng-click="createContent('banner');" type="button" class="btn btn-theme" data-toggle="modal" data-target=".modal-add-banners"><i class="fa fa-plus"></i>Add Banner</button> </div>
	<div ng-if="themes!='' && copy && home" class="col-md-8 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
	<div ng-if="themes!='' && copy && home" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
	<div class="row" ng-if="ctContent.length>0">
		<div class="col-md-12">
			<div tasty-table bind-resource="resource" watch-resource="collection" class="table-responsive" style="margin-top:0;">
				<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
					<thead>
						<tr>
							<th>#</th>
							<th>Banners</th>
							<th>Edit</th>
							<th>Delete</th>
							<th>Copy</th>
						</tr>
					</thead>
					<tbody>
						<tr class="odd gradeX" ng-repeat="row in rows | filter:{type:'banner'}">
							<td>{{((pagination.page-1)*10)+($index+1)}}</td>
							<td>{{row.name}}</td>
							<td><i data-toggle="modal" data-target=".modal-edit-banners" ng-click="editContent(ctContent.indexOf(row))" class="fa fa-edit pointer"></i></td>
							<td><i ng-click="deleteContent(ctContent.indexOf(row))" class="fa fa-trash-o pointer"></i></td>
							<td><span ng-if="!row.copy" ng-click="copyContent(ctContent.indexOf(row),'home')" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
			</div><!-- table-responsive -->
			
		</div>
	</div>
	
	<div class="modal fade modal-add-banners" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-banners-form-add" name="homeBannerAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = homeBannerAdd.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
										<input type="text" class="form-control col-lg-6" id="add-banner" name="add-banner" required placeholder="name" ng-model="createCmsObj.name" style="width:50%;" />
									</div>
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input name="add-banner-img" id="add-banner-img" ngf-select="uploadImage(picFile,'bigimage',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" required type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
									</div>
									
									<img id="bigimage" src="{{createCmsObj.bigimage[0]}}" height="240" width="100%" />
								</div>
							</div>
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add Banner</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	
	<div class="modal fade modal-edit-banners" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-banners-form-update" name="homeBannerEdit" novalidate>
					<span style="visibility:hidden;">{{editFormValid = homeBannerEdit.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
										<input type="text" class="form-control col-lg-6" required name="edit-banner" id="edit-banner" placeholder="name" ng-model="editCmsObj.name" style="width:50%;" />
									</div>
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input ngf-select="uploadImage(picFile,'bigimage',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" ng-required="editCmsObj.bigimage[0]==''?true:false;" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
									</div>
									
									<img id="bigimage_edit" src="{{editCmsObj.bigimage[0]}}" height="240" width="100%" class="thumb" />
								</div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('update',editFormValid);" type="button" class="btn btn-success">Update Banner</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<div ng-show="selectedContent.value=='deals'">
	<div ng-if="themes!='' && dealContent.length<3" class="col-md-2 mb20"><button ng-click="createContent('deals');" type="button" class="btn btn-theme" data-toggle="modal" data-target=".modal-add-deals"><i class="fa fa-plus"></i>Add Deals</button> </div>
	<div ng-if="themes!='' && copy && deals && dealContent.length<3" class="col-md-8 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
	<div ng-if="themes!='' && copy && deals" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
	<div class="row" ng-if="ctContent.length>0">
		<div class="col-md-12">
			<div tasty-table bind-resource="resource" watch-resource="collection" class="table-responsive" style="margin-top:0;">
				<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
					<thead>
						<tr>
							<th>#</th>
							<th>Deals</th>
							<th>Edit</th>
							<th>Delete</th>
							<th>Copy</th>
						</tr>
					</thead>
					<tbody>
						<tr class="odd gradeX" ng-repeat="row in rows | filter:{type:'deals'}">
							<td>{{((pagination.page-1)*10)+($index+1)}}</td>
							<td>{{row.name}}</td>
							<td><i data-toggle="modal" data-target=".modal-edit-deals" ng-click="editContent(ctContent.indexOf(row))" class="fa fa-edit pointer"></i></td>
							<td><i ng-click="deleteContent(ctContent.indexOf(row))" class="fa fa-trash-o pointer"></i></td>
							<td><span ng-if="!row.copy" ng-click="copyContent(ctContent.indexOf(row), 'deals')" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy pointer" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
			</div>
			
		</div>
	</div>
	
	<div class="modal fade modal-add-deals" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-deals-form-add" name="homeDealAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = homeDealAdd.$valid}}</span>
					<div class="modal-body" style="height:250px; overflow:auto;">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
										<input type="text" id="add-deal-name" name="add-deal-name" class="form-control col-lg-6" placeholder="name" required ng-model="createCmsObj.name" style="width:50%;" />
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
										<textarea id="add-deal-desc" name="add-deal-desc" class="form-control col-lg-6" placeholder="description" required ng-model="createCmsObj.desc" ></textarea>
									</div>
								</div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add Deals</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	
	<div class="modal fade modal-edit-deals" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-deals-form-update" name="homeDealEdit" novalidate>
					<span style="visibility:hidden;">{{editFormValid = homeDealEdit.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
										<input type="text" name="edit-deal-name" id="edit-deal-name" class="form-control col-lg-6" placeholder="name" required ng-model="editCmsObj.name" style="width:50%;" />
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1">
									<div class="form-group">
									<textarea name="edit-deal-desc" id="edit-deal-desc" class="form-control col-lg-6" placeholder="description" ng-model="editCmsObj.desc"></textarea>
									</div>
								</div>
							</div>
							
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('update',editFormValid);" type="button" class="btn btn-success">Update Deals</button>
					</div>
				</form>
				</div>
			</div>
		</div>
	</div>
	<div ng-show="selectedContent.value=='services'">
		<div ng-if="themes!='' && serviceContent.length<availServices.length && remainServices.length!=0 && availServices.length!=serviceContent.length" class="col-md-2 mb20"><button ng-click="createContent('services');" type="button" class="btn btn-theme" data-toggle="modal" data-target=".modal-add-services"><i class="fa fa-plus"></i>Add Services</button> </div>
		<div ng-if="themes!='' && copy && services && serviceContent.length<availServices.length && remainServices.length!=0 && availServices.length!=serviceContent.length" class="col-md-8 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
		<div ng-if="themes!='' && copy && services" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
		{{availServices.length}}=>{{serviceContent.length}}=>{{remainServices.length}}
		<div class="row" ng-if="ctContent.length>0">
			<div class="col-md-12">
				<div tasty-table bind-resource="resource" watch-resource="collection" class="table-responsive" style="margin-top:0;">
					<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
						<thead>
							<tr>
								<th>#</th>
								<th>Services</th>
								<th>Edit</th>
								<th>Delete</th>
								<th>Copy</th>
							</tr>
						</thead>
						<tbody>
							<tr class="odd gradeX" ng-repeat="row in rows | filter:{type:'services'}">
							<td>{{((pagination.page-1)*10)+($index+1)}}</td>
							<td>{{row.name}}</td>
							<td><i data-toggle="modal" data-target=".modal-edit-services" ng-click="editContent(ctContent.indexOf(row))" class="fa fa-edit pointer"></i></td>
							<td><i ng-click="deleteContent(ctContent.indexOf(row))" class="fa fa-trash-o pointer"></i></td>
							<td><span ng-if="!row.copy" ng-click="copyContent(ctContent.indexOf(row),'services')" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy pointer" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
				<div tasty-pagination bind-items-per-page="itemsPerPage" bind-list-items-per-page="listItemsPerPage"></div>
			</div>
			
		</div>
	</div>
	
	<div class="modal fade modal-add-services" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-services-form-add" name="homeServiceAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = homeServiceAdd.$valid}}</span>
				<div class="modal-body" style="height:500px; overflow:auto;">
					
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<select name="select-service-name" id="select-service-name" required class="form-control col-lg-4 select-services" ng-change="assignLink(selectedService,'add');" ng-model="selectedService" ng-options="s.name for s in remainServices track by s.urlname">
									<option value="">--Select Service--</option>
								</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input type="text" name="add-service-name" id="add-service-name" required class="form-control col-lg-12" placeholder="Name" ng-model="createCmsObj.name" style="width:100%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input type="text" name="add-service-alias" id="add-service-alias" required class="form-control col-lg-12" placeholder="URI" ng-model="createCmsObj.urlname" style="width:100%;" />
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 offset-1">
								
								<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
								<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input name="add-service-img" id="add-service-img" ngf-select="uploadImage(picFile,'services',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" required="" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
									
								</div>
								
								<img src="{{createCmsObj.serviceimg}}" />
							</div>
						</div>
					</div>
					
				</div>
				<div class="modal-footer">
					<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add Service</button>
				</div>
				</form>
			</div>
		</div>
	</div>
	
	
	<div class="modal fade modal-edit-services" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-services-form-update" name="homeServiceEdit" novalidate>
					<span style="visibility:hidden;">{{editFormValid = homeServiceEdit.$valid}}</span>
				<div class="modal-body" style="height:500px; overflow:auto;">
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<select name="edit-select-service-name" id="edit-select-service-name" required class="form-control col-lg-4 select-services" ng-change="assignLink(selectedService,'edit');" ng-model="selectedService" ng-options="a.name for a in remainServices track by a.urlname">
									<option value="">--Change Service--</option>
								</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
									<input name="edit-service-name" id="edit-service-name" required type="text" class="form-control col-lg-12" placeholder="Name" ng-model="editCmsObj.name" style="width:100%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input name="edit-service-alias" id="edit-service-alias" required type="text" class="form-control col-lg-12" placeholder="URI" ng-model="editCmsObj.urlname" style="width:100%;" />
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 offset-1">
								<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
									<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input name="edit-service-img" id="edit-service-img" ngf-select="uploadImage(picFile,'services',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
								</div>
								
								<img src="{{editCmsObj.serviceimg}}" class="thumb" />
							</div>
						</div>
						
					</div>
					
				</div>
				<div class="modal-footer">
					<button ng-click="addContent('update',editFormValid);" type="button" class="btn btn-success">Update Service</button>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>
<div ng-show="selectedContent.value=='holidays'">
	<div ng-if="themes!='' && holidayContent.length<12 && holidayContent.length<availHolidays.length && remainHolidays.length!=0 && availHolidays.length!=holidayContent.length" class="col-md-2 mb20">
		<button ng-click="createContent('holidays');" type="button" class="btn btn-theme" data-toggle="modal" data-target=".modal-add-holidays"><i class="fa fa-plus"></i>Add Holidays</button>
	</div>
	<div ng-if="themes!='' && copy && holidays &&  holidayContent.length<12 && holidayContent.length<availHolidays.length && remainHolidays.length!=0 && availHolidays.length!=holidayContent.length" class="col-md-8 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
	<div ng-if="themes!='' && copy && holidays" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
	{{availHolidays.length}}=>{{holidayContent.length}}=>{{remainHolidays.length}}
	<div class="row" ng-if="ctContent.length>0">
		<div class="col-md-12">
			<div tasty-table bind-resource="resource" watch-resource="collection" class="table-responsive" style="margin-top:0;">
				<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
					<thead>
						<tr>
							<th>#</th>
							<th>Holidays</th>
							<th>Edit</th>
							<th>Delete</th>
							<th>Copy</th>
						</tr>
					</thead>
					<tbody>
						<tr class="odd gradeX" ng-repeat="row in rows | filter:{type:'holidays'}">
							<td>{{((pagination.page-1)*10)+($index+1)}}</td>
							<td>{{row.name}}</td>
							<td><i data-toggle="modal" data-target=".modal-edit-holidays" ng-click="editContent(ctContent.indexOf(row))" class="fa fa-edit pointer"></i></td>
							<td><i ng-click="deleteContent(ctContent.indexOf(row))" class="fa fa-trash-o pointer"></i></td>
							<td><span ng-if="!row.copy" ng-click="copyContent(ctContent.indexOf(row),'holidays')" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy pointer" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
				<div tasty-pagination bind-items-per-page="itemsPerPage" bind-list-items-per-page="listItemsPerPage"></div>
			</div>
			
		</div>
	</div>
	
	<div class="modal fade modal-add-holidays" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-holidays-form-add" name="homeHolidayAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = homeHolidayAdd.$valid}}</span>
				<div class="modal-body" style="height:500px; overflow:auto;">
					
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<select name="add-select-holiday" id="add-select-holiday" required class="form-control col-lg-4 select-holiday" ng-change="assignLink(selectedHoliday,'add');" ng-model="selectedHoliday" ng-options="a.name for a in remainHolidays track by a.urlname">
									<option value="">--Select Holiday--</option>
								</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input name="add-holiday-name" id="add-holiday-name" required type="text" class="form-control col-lg-12" placeholder="Name" ng-model="createCmsObj.name" style="width:100%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input name="add-holiday-alias" id="add-holiday-alias" required type="text" class="form-control col-lg-12" placeholder="URI" ng-model="createCmsObj.urlname" style="width:100%;" />
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 offset-1">
								
								<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
									<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input name="add-holiday-img" id="add-holiday-img" ngf-select="uploadImage(picFile,'holidays',0)" required ng-model="picFile" name="file" ngf-accept="'image/*'" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
								</div>
								
								<img src="{{createCmsObj.holidayimg}}" />
							</div>
						</div>
					</div>
					
				</div>
				<div class="modal-footer">
					<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add Holiday</button>
				</div>
				</form>
			</div>
		</div>
	</div>
	
	
	<div class="modal fade modal-edit-holidays" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-holidays-form-update" name="homeHolidayEdit" novalidate>
					<span style="visibility:hidden;">{{editFormValid = homeHolidayEdit.$valid}}</span>
				<div class="modal-body" style="height:500px; overflow:auto;">
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<select name="edit-select-holiday" id="edit-select-holiday" required class="form-control col-lg-4 select-holiday" ng-change="assignLink(selectedHoliday,'edit');" ng-model="selectedHoliday" ng-options="a.name for a in remainHolidays track by a.urlname">
									<option value="">--Select Holiday--</option>
								</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input name="edit-holiday-name" id="edit-holiday-name" required type="text" class="form-control col-lg-12" placeholder="Name" ng-model="editCmsObj.name" style="width:100%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4 offset-1">
								<div class="form-group">
								<input name="edit-holiday-alias" id="edit-holiday-alias" required type="text" class="form-control col-lg-12" placeholder="URI" ng-model="editCmsObj.urlname" style="width:100%;" />
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 offset-1">
								<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
									<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="btn btn-theme form-control">Add Image</span>
													<span ng-hide="hmode=='add'" class="btn btn-theme">Change Image</span>
													<input name="edit-holiday-img" id="edit-holiday-img" ngf-select="uploadImage(picFile,'holidays',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
								</div>
								
								<img src="{{editCmsObj.holidayimg}}" />
							</div>
						</div>
						
					</div>
					
				</div>
				<div class="modal-footer">
					<button ng-click="addContent('update',editFormValid);" type="button" class="btn btn-success">Update Holiday</button>
				</div>
			</div>
		</div>
	</div>
</div>
